#ifndef QOscilloscope_QOscilloscope_H
#define QOscilloscope_QOscilloscope_H

#include <QtGui/QWidget>
#include <QDial>
#include <QSlider>
#include <QLabel>
#include <QString>

#include "qoscope.h"

class QOscilloscope : public QWidget
{

Q_OBJECT

public:
    QOscilloscope();
    virtual ~QOscilloscope();

public slots:
    void setStatus( QString s );

private:
    QOscope *oscope;
    QDial   *timescale;
    QDial   *offset;
    QDial   *sync;
    QLabel  *status;
};

#endif // QOscilloscope_QOscilloscope_H
